Package oracle.jdbc

## Enum SecurityInformation.AuthenticationAdaptorType

- java.lang.Object
- - java.lang.Enum<SecurityInformation.AuthenticationAdaptorType>
  - - oracle.jdbc.SecurityInformation.AuthenticationAdaptorType

All Implemented Interfaces:
  `Serializable`, `Comparable<SecurityInformation.AuthenticationAdaptorType>`

Enclosing interface:
  SecurityInformation

    public static enum SecurityInformation.AuthenticationAdaptorType
    extends Enum<SecurityInformation.AuthenticationAdaptorType>

The type of authentication used to access Oracle Database

### Enum Constant Summary

Enum Constants
`KERBEROS` Authenticated by Kerberos.
`O5LOGON` Authenticated by a database user name and password, using the O5LOGON protocol of Oracle Database.
`OAUTH` Authenticated by an OAUTH access token.
`RADIUS` Authenticated by RADIUS.
`TCPS` Authenticated by a TLS certificate.

### Method Summary

All Methods Static Methods Concrete Methods
`static SecurityInformation.AuthenticationAdaptorType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SecurityInformation.AuthenticationAdaptorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### O5LOGON

    public static final SecurityInformation.AuthenticationAdaptorType O5LOGON

Authenticated by a database user name and password, using the O5LOGON protocol of Oracle Database.

#### KERBEROS

    public static final SecurityInformation.AuthenticationAdaptorType KERBEROS

Authenticated by Kerberos.

#### RADIUS

    public static final SecurityInformation.AuthenticationAdaptorType RADIUS

Authenticated by RADIUS.

#### TCPS

    public static final SecurityInformation.AuthenticationAdaptorType TCPS

Authenticated by a TLS certificate.

#### OAUTH

    public static final SecurityInformation.AuthenticationAdaptorType OAUTH

Authenticated by an OAUTH access token.

### Method Detail

#### values

    public static SecurityInformation.AuthenticationAdaptorType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SecurityInformation.AuthenticationAdaptorType c : SecurityInformation.AuthenticationAdaptorType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SecurityInformation.AuthenticationAdaptorType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null